<?php

$mask = array(
	      'table' => 'personal',
	      'title' => 'Personalinformationen',
	      'sort' => 1,
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    ),
			      'name' => array(
					    'name' => 'Name',
					    'width' => 100,
					    'specs' => "filterUI: 't'",
					    ),
			      'vorname' => array(
					    'name' => 'Vorname',
					    'width' => 100,
					    'specs' => "filterUI: 't'",
					    ),
			      'anschrift' => array(
					    'name' => 'Anschrift',
					    'width' => 160,
					    ),
			      'plz' => array(
					    'name' => 'PLZ',
					    'width' => 40,
					    ),
			      'ort' => array(
					    'name' => 'Wohnort',
					    'width' => 100,
					    ),
			      'telefon' => array(
					    'name' => 'Telefon',
					    'width' => 100,
					    'visible' => false,
					    ),
			      'persstdsatz' => array(
					    'name' => 'Satz',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;'",
					    'width' => 50,
					    ),
			      'jahresakkord' => array(
					    'name' => 'Akkord',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;'",
					    'width' => 60,
					    ),
/*
			      'akkordzuschlag' => array(
					    'name' => 'Zuschlag',
					    'visible' => false,
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright'",
					    'width' => 70,
					    ),
*/
			      ),
/*
	      'details' => array(
				 'title' => 'Details',
				 'subtitle' => 'Informationen zur Person',
				 'list' => array(
				      'personal' => array(
						    'name' => 'Name',
						    ),
				      'vorname' => array(
						    'name' => 'Vorname',
						    ),
				      'persstdsatz' => array(
						    'name' => 'Stundensatz',
						    'format' => '%.2f',
						    ),
				      'jahresakkord' => array(
						    'name' => 'Jahresakkord',
						    'format' => '%.2f',
						    ),
				      'akkordzuschlag' => array(
						    'name' => 'Akkordzuschlag',
						    'format' => '%.2f',
						    ),
						 ),
				    ),
*/
	      'edit' => array(
			      'name' => array(
					    'name' => 'Name',
					    'type' => 'text',
					    'size' => 24,
					    'required' => true,
					    ),
			      'vorname' => array(
					    'name' => 'Vorname',
					    'type' => 'text',
					    'size' => 24,
					    'required' => true,
					    ),
			      'anschrift' => array(
					    'name' => 'Anschrift',
					    'type' => 'text',
					    'size' => 24,
					    'required' => true,
					    ),
			      'plz' => array(
					    'name' => 'PLZ',
					    'type' => 'number',
					    'size' => 6,
					    'null' => true,
					    ),
			      'ort' => array(
					    'name' => 'Wohnort',
					    'type' => 'text',
					    'size' => 24,
					    'null' => true,
					    ),
			      'telefon' => array(
					    'name' => 'Telefon',
					    'type' => 'text',
					    'size' => 24,
					    'null' => true,
					    ),
			      'persstdsatz' => array(
					    'name' => 'Stundensatz',
					    'type' => 'decimal',
					    'size' => 10,
					    'null' => true,
					    ),
			      'jahresakkord' => array(
					    'name' => 'Jahresakkord',
					    'type' => 'decimal',
					    'size' => 10,
					    'required' => true,
					    ),
			      ),
	      'rows' => 20,
	      );

?>
