<?php

$mask = array(
	      'table' => 'materialien',
	      'title' => 'Materialien',
	      'sort' => 1,
	      'join' => array('einheiten ON materialien.einheit = einheiten.id'),
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    'sql' => 'materialien.id',
					    ),
			      'material' => array(
					    'name' => 'Material',
					    'width' => 270,
					    'specs' => "filterUI: 't'",
					    ),
			      'einheit' => array(
					    'name' => 'Einheit',
					    'width' => 70,
					    'sql' => 'einheiten.einheit',
					    ),
			      'preis' => array(
					    'name' => 'Preis',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright'",
					    'width' => 50,
					    ),
			      ),
	      'rows' => 20,
	      'edit' => array(
			      'material' => array(
					    'name' => 'Material',
					    'type' => 'text',
					    'size' => 24,
					    'required' => true,
					    ),
			      'einheit' => array(
					    'name' => 'Einheit',
					    'type' => 'select',
					    'options' => 'SELECT id,einheit AS text FROM einheiten ORDER BY einheit',
					    'size' => 10,
					    ),
			      'preis' => array(
					    'name' => 'Preis',
					    'type' => 'decimal',
					    'size' => 10,
					    'comment' => 'immer brutto',
					    'null' => true,
					    ),
			      ),
	      );

?>
